---
title: "Delete notification"
description: "Permanently delete a notification"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Notifications

`DELETE /api/notifications/{workspaceId}/{notificationId}`

Permanently delete a notification

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Path parameters

- `workspaceId` (`delete/api/notifications/workspaceId/notificationId.path.workspaceId`; string, required) — Workspace ID
- `notificationId` (`delete/api/notifications/workspaceId/notificationId.path.notificationId`; string, required) — Notification ID

## Code samples

### cURL

```bash
curl --request DELETE \
  --url 'https://api.channelautomation.com/api/notifications/<workspaceId>/<notificationId>' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/notifications/<workspaceId>/<notificationId>';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/notifications/<workspaceId>/<notificationId>"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

## Responses

### 200

Notification deleted successfully

#### Example

```json
{
  "success": true,
  "message": "Notification deleted successfully"
}
```

- `success` (`delete/api/notifications/workspaceId/notificationId.response.200.success`; boolean, optional)
- `message` (`delete/api/notifications/workspaceId/notificationId.response.200.message`; string, optional)
  - example `"Notification deleted successfully"`

### 404

Notification not found

### 500

Server error


Source: https://developer.channelautomations.com/api/delete-api-notifications-workspace-id-notification-id/index.md
